
canvas = iup.glcanvas{buffer = "DOUBLE", rastersize = "200x200"}
local cv = canvas

local val = iup.text{visiblecolumns = 5, value = "1.0"}
local spin = iup.spinbox{val}
local zoom = 1
local DrawCurImage = DrawCurImage

function cv:action(x, y)
	iup.GLMakeCurrent(self)
	DrawCurImage(zoom)
	iup.GLSwapBuffers(self)
end

local format = string.format

function spin:spin_cb(inc)
	inc = inc * 0.5
	zoom = zoom + inc
	if zoom < 1 then
		zoom = 1
	elseif zoom > 10 then
		zoom = 10
	end
	val.value = format("%.1f", zoom)
	iup.Update(cv)
end

return iup.vbox{spin, cv}
